import { Config as BaseConfig, Events, GenericBrowser } from './Browser';
export default class Remote extends GenericBrowser<Events, Config> {
    static initialize(config?: Config): Remote;
    protected _debug: boolean;
    constructor(config: Config);
    protected _processOption(name: keyof Config, value: any): void;
}
export { Events };
export interface Config extends BaseConfig {
    runInSync?: boolean;
    sessionId?: string;
    socketPort?: number;
}
